{% extends 'sponsor_authed_base.html' %}

{% block main %}

    <div class="full-column">
        <figure id="map" class="left-img"><figcaption style="display: none">Map</figcaption></figure>   {# nosemgrep #}
        <script>
            window.addEventListener('load', (event) => {
                var req = new XMLHttpRequest();
                req.open('GET', '{{ url_for(".map") }}', false);  // nosemgrep
                req.send(null);
                if(req.status == 200) {
                    var fig = document.getElementById("map");
                    fig.innerHTML = req.responseText;
                }
        })
        </script>
    <section id="text1" class="left-box">
        <h2>Your metrics</h2>
        <p class="table">
            <span class="r1c1">Current Sponsorship Tier</span><span class="r1c2">{{ current_tier }}</span>
        </p>
    </section>
    </div>
    <section id="text2" class="right-box-2">
        <div class="bar">
            <svg id="funding-progress" viewBox="0 0 650 40">{{ funding_progress | safe }}</svg>  {# nosemgrep #}
        </div>
        <h2>Costs:</h2>
        <p class="table">
            <span class="r1c1">Development Costs</span><span class="r1c2">$3400 USD / month (£2500 GBP / month)</span>
            <span class="r2c1">Hosting Costs</span><span class="r2c2">$50 USD / month (£37 GBP / month)</span>
            <span class="r3c1">Safety net</span><span class="r3c2">$50 USD / month (£37 GBP / month)</span>
            <span class="r4c1">-----------------</span><span class="r4c2">-------------------------------------</span>
            <span class="r5c1">Grand Total</span><span class="r5c2">$3500 USD/month</span>
        </p>
        <div class="small-print">Note: These values are updated monthly.</div>
    </section>
    <div class="right-img"><img src="data:image/png;base64,{{ logo_b64 }}"/></div>
{% endblock %}